<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.GazelleCrossValidatorDocumentationReferencedObje_2']}</h2>
        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.ReferencedObjectDetails']}"/>
            </ui:define>
            <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Keyword']}</ui:define>
                <h:outputText value="#{referencedObjectDisplayManager.reference.keyword}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.ObjectType']}</ui:define>
                <h:outputText value="#{referencedObjectDisplayManager.reference.objectType}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Description']}</ui:define>
                <h:outputText value="#{referencedObjectDisplayManager.reference.description}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not empty referencedObjectDisplayManager.reference.xsdLocation}">
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.XSD']}</ui:define>
                <h:outputText value="#{referencedObjectDisplayManager.reference.xsdLocation}"/>
            </s:decorate>
            </dl>
            <ui:define name="panel_footer">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Back']}" onclick="history.back()"
                                   styleClass="gzl-btn"        />
            </ui:define>
        </ui:decorate>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.GazelleCrossValidators']}"/>
            </ui:define>
            <rich:list value="#{referencedObjectDisplayManager.getCrossValidators()}" var="validator"
                       type="unordered">
                <g:link detailed="true" value="#{validator}"/>
            </rich:list>
        </ui:decorate>
    </ui:define>
</ui:composition>
